Question (SOLVED)Safetynet passing without zygisk?

Search This thread

yujinloh

Senior Member
Oct 15, 2015
55
21
Google Pixel 6 Pro
Is it possible to pass safetynet without zygisk? Because I need riru and it doesnt work with zygisk enabled.
Searching the forum does not reveal any ways to pass safetynet without zygisk and universalsafetynetfix.


Yes, it is possible on the 6 pro with magisk alpha + USNF 2.1.2
1) patch your boot image with magisk alpha from vvb2060
2) install riru, usnf 2.1.2
3) enable magiskhide + denylist, deny all entries of play store + play services
 
Last edited:
  • Like
Reactions: fuadhdmini

yujinloh

Senior Member
Oct 15, 2015
55
21
Google Pixel 6 Pro

Attachments

  • Screenshot_20211217-030000.png
    Screenshot_20211217-030000.png
    217 KB · Views: 150
  • Screenshot_20211217-025953.png
    Screenshot_20211217-025953.png
    234.2 KB · Views: 148
  • Screenshot_20211217-025907.png
    Screenshot_20211217-025907.png
    183 KB · Views: 149

V0latyle

Forum Moderator
Staff member
Not on the Pixel 6 / 6 Pro. Magisk 23010+ is required to patch the P6 boot image; the December update borked this, so now Magisk 23016 is required. Magisk 23001 or older cannot patch the P6 boot image. Unfortunately, Magisk 23010 and newer no longer supports Riru.

So, you only have one option:
  • Update to Magisk Canary 23016
  • Enable Zygisk + DenyList
  • Install Universal SafetyNet Fix 2.2.0
  • Install MagiskHide Props Config 6.1.2
  • Configure DenyList to block all components of Google Play Services and Google Play Store
SafetyNet should pass with the above configuration.
 

Lughnasadh

Senior Member
Mar 23, 2015
3,329
3,297
Google Nexus 5
Huawei Nexus 6P
Is it possible to pass safetynet without zygisk? Because I need riru and it doesnt work with zygisk enabled.
Searching the forum does not reveal any ways to pass safetynet without zygisk and universalsafetynetfix.
In the Alpha version of Magisk (by vvb2060) I think you can disable Zygisk to use Riru. Not sure what version of the safetynet mod people are using with it. Can't really tell you much more because I'm not using the Alpha version, but check in the Magisk and/or Safetynet fix threads.

EDIT: And once again, Ninja'd 😅
 

stroke55

Senior Member
Nov 29, 2013
64
43
Google Nexus 5
Moto Z
Yes, you can disable Zygisk in the options and enable the hide list, which is still directly integrated in Magisk Alpha. To be honest I would rather like to switch to canary but as long as Riru is not compatible to Zygisk I have to stay with Alpha.
 

zetsumeikuro

Senior Member
Jul 13, 2010
4,490
1,308
Yes, you can disable Zygisk in the options and enable the hide list, which is still directly integrated in Magisk Alpha. To be honest I would rather like to switch to canary but as long as Riru is not compatible to Zygisk I have to stay with Alpha.
There is a version of Riru compatible with Zygisk. You can download the versions in lsposed's Telegram. They have a specific Telegram channel with the non-Zygisk and Zygisk builds. Edit: The channel name is called "LSposedArchives".
 

yujinloh

Senior Member
Oct 15, 2015
55
21
Google Pixel 6 Pro
Not on the Pixel 6 / 6 Pro. Magisk 23010+ is required to patch the P6 boot image; the December update borked this, so now Magisk 23016 is required. Magisk 23001 or older cannot patch the P6 boot image. Unfortunately, Magisk 23010 and newer no longer supports Riru.

So, you only have one option:
  • Update to Magisk Canary 23016
  • Enable Zygisk + DenyList
  • Install Universal SafetyNet Fix 2.2.0
  • Install MagiskHide Props Config 6.1.2
  • Configure DenyList to block all components of Google Play Services and Google Play Store
SafetyNet should pass with the above configuration.

Or you use Magisk Alpha 23016 and SafetyNet Fix 2.1.2 without Zygist which is compatible to Riru. SafetyNet passes and GPay is working.

In the Alpha version of Magisk (by vvb2060) I think you can disable Zygisk to use Riru. Not sure what version of the safetynet mod people are using with it. Can't really tell you much more because I'm not using the Alpha version, but check in the Magisk and/or Safetynet fix threads.

EDIT: And once again, Ninja'd 😅

Yes, you can disable Zygisk in the options and enable the hide list, which is still directly integrated in Magisk Alpha. To be honest I would rather like to switch to canary but as long as Riru is not compatible to Zygisk I have to stay with Alpha.

There is a version of Riru compatible with Zygisk. You can download the versions in lsposed's Telegram. They have a specific Telegram channel with the non-Zygisk and Zygisk builds. Edit: The channel name is called "LSposedArchives".

Thank you all for the replies.
Magisk alpha + USNF 2.1.2 worked fine for me without zygisk.
(kinda tired at this point , will update more info when have time.)
 

Top Liked Posts

  • There are no posts matching your filters.
  • 4
    Not on the Pixel 6 / 6 Pro. Magisk 23010+ is required to patch the P6 boot image; the December update borked this, so now Magisk 23016 is required. Magisk 23001 or older cannot patch the P6 boot image. Unfortunately, Magisk 23010 and newer no longer supports Riru.

    So, you only have one option:
    • Update to Magisk Canary 23016
    • Enable Zygisk + DenyList
    • Install Universal SafetyNet Fix 2.2.0
    • Install MagiskHide Props Config 6.1.2
    • Configure DenyList to block all components of Google Play Services and Google Play Store
    SafetyNet should pass with the above configuration.

    Or you use Magisk Alpha 23016 and SafetyNet Fix 2.1.2 without Zygist which is compatible to Riru. SafetyNet passes and GPay is working.

    In the Alpha version of Magisk (by vvb2060) I think you can disable Zygisk to use Riru. Not sure what version of the safetynet mod people are using with it. Can't really tell you much more because I'm not using the Alpha version, but check in the Magisk and/or Safetynet fix threads.

    EDIT: And once again, Ninja'd 😅

    Yes, you can disable Zygisk in the options and enable the hide list, which is still directly integrated in Magisk Alpha. To be honest I would rather like to switch to canary but as long as Riru is not compatible to Zygisk I have to stay with Alpha.

    There is a version of Riru compatible with Zygisk. You can download the versions in lsposed's Telegram. They have a specific Telegram channel with the non-Zygisk and Zygisk builds. Edit: The channel name is called "LSposedArchives".

    Thank you all for the replies.
    Magisk alpha + USNF 2.1.2 worked fine for me without zygisk.
    (kinda tired at this point , will update more info when have time.)
    4
    Not on the Pixel 6 / 6 Pro. Magisk 23010+ is required to patch the P6 boot image; the December update borked this, so now Magisk 23016 is required. Magisk 23001 or older cannot patch the P6 boot image. Unfortunately, Magisk 23010 and newer no longer supports Riru.

    So, you only have one option:
    • Update to Magisk Canary 23016
    • Enable Zygisk + DenyList
    • Install Universal SafetyNet Fix 2.2.0
    • Install MagiskHide Props Config 6.1.2
    • Configure DenyList to block all components of Google Play Services and Google Play Store
    SafetyNet should pass with the above configuration.
    3
    Yes, you can disable Zygisk in the options and enable the hide list, which is still directly integrated in Magisk Alpha. To be honest I would rather like to switch to canary but as long as Riru is not compatible to Zygisk I have to stay with Alpha.
    There is a version of Riru compatible with Zygisk. You can download the versions in lsposed's Telegram. They have a specific Telegram channel with the non-Zygisk and Zygisk builds. Edit: The channel name is called "LSposedArchives".
    3
    Or you use Magisk Alpha 23016 and SafetyNet Fix 2.1.2 without Zygist which is compatible to Riru. SafetyNet passes and GPay is working.
    3
    Is it possible to pass safetynet without zygisk? Because I need riru and it doesnt work with zygisk enabled.
    Searching the forum does not reveal any ways to pass safetynet without zygisk and universalsafetynetfix.
    In the Alpha version of Magisk (by vvb2060) I think you can disable Zygisk to use Riru. Not sure what version of the safetynet mod people are using with it. Can't really tell you much more because I'm not using the Alpha version, but check in the Magisk and/or Safetynet fix threads.

    EDIT: And once again, Ninja'd 😅